// Generated by Selenium IDE
import org.junit.Test;
import org.junit.Before;
import org.junit.After;
import static org.junit.Assert.*;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.core.IsNot.not;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.remote.RemoteWebDriver;
import org.openqa.selenium.remote.DesiredCapabilities;
import org.openqa.selenium.Dimension;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;
import org.openqa.selenium.JavascriptExecutor;
import org.openqa.selenium.Alert;
import org.openqa.selenium.Keys;
import java.util.*;
import java.net.MalformedURLException;
import java.net.URL;
public class Test1Test {
  private WebDriver driver;
  private Map<String, Object> vars;
  JavascriptExecutor js;
  @Before
  public void setUp() {
    driver = new FirefoxDriver();
    js = (JavascriptExecutor) driver;
    vars = new HashMap<String, Object>();
  }
  @After
  public void tearDown() {
    driver.quit();
  }
  @Test
  public void test1() {
    driver.get("http://localhost:8080/MoneyWeb/HomeServlet");
    driver.manage().window().setSize(new Dimension(550, 696));
    driver.findElement(By.id("somme")).click();
    driver.findElement(By.id("somme")).sendKeys("15");
    driver.findElement(By.id("mDevise")).click();
    {
      WebElement dropdown = driver.findElement(By.id("mDevise"));
      dropdown.findElement(By.xpath("//option[. = 'USD']")).click();
    }
    driver.findElement(By.xpath("//option[@value=\'USD\']")).click();
    driver.findElement(By.name("sommeB")).click();
    driver.findElement(By.name("sommeB")).sendKeys("150");
    driver.findElement(By.cssSelector("input:nth-child(15)")).click();
    driver.findElement(By.cssSelector("h4")).click();
    driver.findElement(By.cssSelector("html")).click();
  }
}
